PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_AutoFilter_Column

Source Location: /PHPExcel/Worksheet/AutoFilter/Column.php

### Class Overview

PHPExcel_Worksheet_AutoFilter_Column

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- AUTOFILTER_COLUMN_JOIN_AND
- AUTOFILTER_COLUMN_JOIN_OR
- AUTOFILTER_FILTERTYPE_CUSTOMFILTER
- AUTOFILTER_FILTERTYPE_DYNAMICFILTER
- AUTOFILTER_FILTERTYPE_FILTER
- AUTOFILTER_FILTERTYPE_TOPTENFILTER

### Methods

- addRule
- __construct
- clearRules
- createRule
- deleteRule
- getAttribute
- getAttributes
- getColumnIndex
- getFilterType
- getJoin
- getParent
- getRule
- getRules
- setAttribute
- setAttributes
- setColumnIndex
- setFilterType
- setJoin
- setParent
- __clone

### Class Details

[line 36]
PHPExcel_Worksheet_AutoFilter_Column

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method addRule [line 316]

`PHPExcel_Worksheet_AutoFilter_Column|PHPExcel_Worksheet_AutoFilter_Column_Rule addRule( PHPExcel_Worksheet_AutoFilter_Column_Rule $pRule, [boolean $returnRule = TRUE])`

Add a new AutoFilter Column Rule to the ruleset

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet_AutoFilter_Column_Rule | $pRule |
boolean | $returnRule | Flag indicating whether the rule object or the column object should be returned

[ Top ]

### constructor __construct [line 118]

`PHPExcel_Worksheet_AutoFilter_Column __construct( $pColumn, [PHPExcel_Worksheet_AutoFilter $pParent = NULL])`

Create a new PHPExcel_Worksheet_AutoFilter_Column

#### Tags:

access: | public

#### Parameters:

| $pColumn |
PHPExcel_Worksheet_AutoFilter | $pParent |

[ Top ]

### method clearRules [line 347]

`PHPExcel_Worksheet_AutoFilter_Column clearRules( )`

Delete all AutoFilter Column Rules

#### Tags:

access: | public

[ Top ]

### method createRule [line 303]

`PHPExcel_Worksheet_AutoFilter_Column_Rule createRule( )`

Create a new AutoFilter Column Rule in the ruleset

#### Tags:

access: | public

[ Top ]

### method deleteRule [line 330]

`PHPExcel_Worksheet_AutoFilter_Column deleteRule( integer $pIndex)`

Delete a specified AutoFilter Column Rule If the number of rules is reduced to 1, then we reset And/Or logic to Or

#### Tags:

access: | public

#### Parameters:

integer | $pIndex | Rule index in the ruleset array

[ Top ]

### method getAttribute [line 269]

`string getAttribute( string $pName)`

Get specific AutoFilter Column Attribute

#### Tags:

access: | public

#### Parameters:

string | $pName | Attribute Name

[ Top ]

### method getAttributes [line 259]

`string getAttributes( )`

Get AutoFilter Column Attributes

#### Tags:

access: | public

[ Top ]

### method getColumnIndex [line 129]

`string getColumnIndex( )`

Get AutoFilter Column Index

#### Tags:

access: | public

[ Top ]

### method getFilterType [line 178]

`string getFilterType( )`

Get AutoFilter Type

#### Tags:

access: | public

[ Top ]

### method getJoin [line 204]

`string getJoin( )`

Get AutoFilter Multiple Rules And/Or Join

#### Tags:

access: | public

[ Top ]

### method getParent [line 157]

`PHPExcel_Worksheet_AutoFilter getParent( )`

Get this Column's AutoFilter Parent

#### Tags:

access: | public

[ Top ]

### method getRule [line 291]

`PHPExcel_Worksheet_AutoFilter_Column_Rule getRule( integer $pIndex)`

Get a specified AutoFilter Column Rule

#### Tags:

access: | public

#### Parameters:

integer | $pIndex | Rule index in the ruleset array

[ Top ]

### method getRules [line 281]

`array getRules( )`

Get all AutoFilter Column Rules

#### Tags:

return: | of PHPExcel_Worksheet_AutoFilter_Column_Rule
throws: | PHPExcel_Exception
access: | public

[ Top ]

### method setAttribute [line 248]

`PHPExcel_Worksheet_AutoFilter_Column setAttribute( string $pName, string $pValue)`

Set An AutoFilter Attribute

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pName | Attribute Name
string | $pValue | Attribute Value

[ Top ]

### method setAttributes [line 234]

`PHPExcel_Worksheet_AutoFilter_Column setAttributes( [string[] $pAttributes = array()])`

Set AutoFilter Attributes

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string[] | $pAttributes |

[ Top ]

### method setColumnIndex [line 140]

`PHPExcel_Worksheet_AutoFilter_Column setColumnIndex( string $pColumn)`

Set AutoFilter Column Index

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pColumn | Column (e.g. A)

[ Top ]

### method setFilterType [line 189]

`PHPExcel_Worksheet_AutoFilter_Column setFilterType( [string $pFilterType = self::AUTOFILTER_FILTERTYPE_FILTER])`

Set AutoFilter Type

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilterType |

[ Top ]

### method setJoin [line 215]

`PHPExcel_Worksheet_AutoFilter_Column setJoin( [string $pJoin = self::AUTOFILTER_COLUMN_JOIN_OR])`

Set AutoFilter Multiple Rules And/Or

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pJoin | And/Or

[ Top ]

### method setParent [line 167]

`PHPExcel_Worksheet_AutoFilter_Column setParent( [PHPExcel_Worksheet_AutoFilter $pParent = NULL])`

Set this Column's AutoFilter Parent

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet_AutoFilter | $pParent |

[ Top ]

### method __clone [line 357]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### AUTOFILTER_COLUMN_JOIN_AND = 'and'

[line 59]

[ Top ]

#### AUTOFILTER_COLUMN_JOIN_OR = 'or'

[line 60]

[ Top ]

#### AUTOFILTER_FILTERTYPE_CUSTOMFILTER = 'customFilters'

[line 39]

[ Top ]

#### AUTOFILTER_FILTERTYPE_DYNAMICFILTER = 'dynamicFilter'

[line 42]

[ Top ]

#### AUTOFILTER_FILTERTYPE_FILTER = 'filters'

[line 38]

[ Top ]

#### AUTOFILTER_FILTERTYPE_TOPTENFILTER = 'top10'

[line 45]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:31 +0200 by phpDocumentor 1.4.4